Page MenuHomeFreeBSD

bhyve: document virtio-console in the manpage
ClosedPublic

Authored by novel on Feb 13 2017, 2:56 PM.

Details

Summary

Document virtio-console support, based on the information provided in the commit message for r305898 where this feature was added.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

novel updated this revision to Diff 25081.Feb 13 2017, 2:56 PM
novel retitled this revision from to bhyve: document virtio-console in the manpage.
novel updated this object.
novel edited the test plan for this revision. (Show Details)
novel set the repository for this revision to rS FreeBSD src repository.
bcr added a subscriber: bcr.Feb 13 2017, 6:21 PM

A few textual upgrades.

bhyve/bhyve.8
279 ↗(On Diff #25081)

A maximum of ...

280 ↗(On Diff #25081)

s/an/a/

288 ↗(On Diff #25081)

remove the "of"

novel updated this revision to Diff 25134.Feb 14 2017, 4:53 AM
  • Maximum -> A maximum
  • an Unix ... -> a Unix ...
  • remove extra "of"
novel marked 3 inline comments as done.Feb 14 2017, 4:54 AM
wblock added a subscriber: wblock.Feb 17 2017, 5:37 PM
wblock added inline comments.
bhyve/bhyve.8
175 ↗(On Diff #25134)

Very light on details. A one-sentence description of what the virtio-console actually *is* would be helpful here.

294 ↗(On Diff #25134)

Avoid contractions: s/There's/There is/
Missing an article: s/use/use the/

novel updated this revision to Diff 25351.Feb 18 2017, 2:16 PM
novel edited edge metadata.
novel removed rS FreeBSD src repository as the repository for this revision.
  • Extended virtio-console description, fixed articles, there's -> there is.
novel set the repository for this revision to rS FreeBSD src repository.Feb 18 2017, 2:17 PM
novel marked an inline comment as done.Feb 18 2017, 2:20 PM
novel added inline comments.
bhyve/bhyve.8
175 ↗(On Diff #25134)

Done, though that seemed like a common schema to keep these entries short (e.g. see other virtio-* entries above). I pulled the description text from here: https://fedoraproject.org/wiki/Features/VirtioSerial#Summary

jceel accepted this revision.Feb 23 2017, 12:50 PM
jceel edited edge metadata.

I can't really comment on style, but from technical accuracy standpoint it's all good.

This revision is now accepted and ready to land.Feb 23 2017, 12:50 PM
bcr accepted this revision.Feb 25 2017, 3:14 PM
bcr added a reviewer: bcr.

OK from manpages. Make sure to bump the document date.

novel added a comment.Feb 25 2017, 3:38 PM

Thanks! As I don't have docs/src bit, either somebody needs to commit that or allow me to commit with the appropriate Approved by: line.

bcr added a comment.Feb 25 2017, 4:46 PM

Having only a doc commit bit myself, I can't approve the src part of the change. You need to find someone with a src bit to approve it. Maybe someone from the other reviewers?

grehan accepted this revision.Feb 25 2017, 4:59 PM
grehan edited edge metadata.
This revision was automatically updated to reflect the committed changes.
wblock added inline comments.Mar 3 2017, 3:54 PM
head/usr.sbin/bhyve/bhyve.8
297

Recommend "at present" rather than "as of now".

299

Likewise, "at present" is simpler and clearer.

novel added inline comments.Mar 4 2017, 6:26 AM
head/usr.sbin/bhyve/bhyve.8
297

Does that sound like a check for igor(1)?

As this bhyve.8 patch is committed already, do you think it's worth to create a follow up patch to fix that?

wblock added inline comments.Mar 24 2017, 4:09 PM
head/usr.sbin/bhyve/bhyve.8
297

Hm. It could go in the rarely-used style suggestions (-y). I'll look at that.

I'd say no second patch is needed for this trivial change, and even .Dd does not need a bump. You can do that, or I can if you like. Thanks!

novel added inline comments.Apr 1 2017, 3:11 PM
head/usr.sbin/bhyve/bhyve.8
297

Thanks, I've just committed that.